### Function

# Soup HSTSPolicy new_full

#### Declaration [src]

    SoupHSTSPolicy*
    soup_hsts_policy_new_full (
      const char* domain,
      unsigned long max_age,
      GDateTime* expires,
      gboolean include_subdomains
    )

#### Description [src]

Full version of `soup_hsts_policy_new()`, to use with an existing expiration date.

See `soup_hsts_policy_new()` for details.

#### Parameters

`domain`

  Type: `const char*`

  Policy domain or hostname.

  The data is owned by the caller of the function.
  The value is a NUL terminated UTF-8 string.

`max_age`

  Type: `unsigned long`

  Max age of the policy.

`expires`

  Type: `GDateTime`

  The date of expiration of the policy or `NULL` for a permanent policy.

  The data is owned by the caller of the function.

`include_subdomains`

  Type: `gboolean`

  `TRUE` if the policy applies on subdomains.

#### Return value

Type: `SoupHSTSPolicy`

A new `SoupHSTSPolicy`.

The caller of the function takes ownership of the data, and is responsible for freeing it.